'-------------------------------------------------------------
'                          M8535.BAS
'             Test file for M8535 support
'-------------------------------------------------------------
$crystal = 1000000
$baud = 19200
$regfile = "m8535.dat"
Dim I As Byte

'this code learned that a value of 145 works for the internal osc
'for the demo I skip it however
Goto Test
For I = 1 To 255 Step 10
  Osccal = I
  Waitms 100
  Print "Hello world" ; I
Next

Test:
Osccal = 145
Print "M8535 running at 1 MHz internal osc"
End